Package org.apache.commons.math3.geometry.spherical.oned

# Class Sphere1D.NoSubSpaceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.UnsupportedOperationException
org.apache.commons.math3.exception.MathUnsupportedOperationException
org.apache.commons.math3.geometry.spherical.oned.Sphere1D.NoSubSpaceException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

Enclosing class:
  `Sphere1D`

public static class Sphere1D.NoSubSpaceException extends MathUnsupportedOperationException
Specialized exception for inexistent sub-space.

This exception is thrown when attempting to get the sub-space of a one-dimensional space

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoSubSpaceException()`
Simple constructor.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathUnsupportedOperationException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoSubSpaceException

public NoSubSpaceException()
Simple constructor.